import * as i0 from '@angular/core';
import { Injectable, Pipe, EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';

class IconsService {
    constructor() { }
}
IconsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
IconsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class AssetUrlPipe {
    transform(value) {
        console.log(assetUrl(value));
        return assetUrl(value);
    }
}
AssetUrlPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: AssetUrlPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
AssetUrlPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: AssetUrlPipe, name: "assetUrl" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: AssetUrlPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'assetUrl'
                }]
        }] });
function assetUrl(iconName) {
    // @ts-ignore
    const publicPath = __webpack_public_path__;
    const publicPathSuffix = publicPath.endsWith('/') ? '' : '/';
    return `${publicPath}${publicPathSuffix}assets/icons/${iconName}.svg`;
}

class IconsComponent {
    // private _content!: IconsType;
    constructor() {
        // /**
        //  * Class of svg content
        //  */
        // @Input() set content(contentValue: IconsType) {
        //   this._content = contentValue;
        // }
        /**
         * Emiter when the icon is clicked.
         */
        this.handlerClickEmitter = new EventEmitter();
    }
    // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
    ngOnInit() { }
    handleClick() {
        this.handlerClickEmitter.emit();
    }
}
IconsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
IconsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.4", type: IconsComponent, selector: "app-lib-icons", inputs: { iconName: "iconName" }, outputs: { handlerClickEmitter: "handlerClickEmitter" }, ngImport: i0, template: "<div\n  class=\"container\"\n  [ngStyle]=\"{ '-webkit-mask-image': 'url(' + ( iconName | assetUrl ) + ')'}\"\n  (click)=\"handleClick()\"\n  >\n</div>\n", styles: [":host .container{cursor:pointer;width:1rem;height:1rem;background-color:#bebebf;transition:all .5s ease-in-out,background-color .7s;-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center;-webkit-mask-size:contain;mask-size:contain}:host .container:hover{background-color:#00c9ff}.svg-angle,.svg-arrow,.svg-bar-graph,.svg-base-menu,.svg-base-menu-shadow,.svg-bell,.svg-check,.svg-copy,.svg-cloud,.svg-currency,.svg-date,.svg-download,.svg-drafts,.svg-drafts-shadow,.svg-edit,.svg-email,.svg-enviados,.svg-error,.svg-eye-close,.svg-eye-open,.svg-forbidden,.svg-inbox,.svg-inbox-shadow,.svg-loading-points,.svg-message-menu,.svg-minus,.svg-ok,.svg-options,.svg-order-down,.svg-order-up,.svg-pencil,.svg-plus,.svg-refresh,.svg-reports-menu,.svg-reports-menu-shadow,.svg-schedule-menu,.svg-schedule-menu-shadow,.svg-search,.svg-security,.svg-sent,.svg-sent-shadow,.svg-task-menu,.svg-task-menu-shadow,.svg-theme,.svg-time,.svg-trash,.svg-warning{-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center;-webkit-mask-size:contain;mask-size:contain}\n"], directives: [{ type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], pipes: { "assetUrl": AssetUrlPipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-lib-icons', template: "<div\n  class=\"container\"\n  [ngStyle]=\"{ '-webkit-mask-image': 'url(' + ( iconName | assetUrl ) + ')'}\"\n  (click)=\"handleClick()\"\n  >\n</div>\n", styles: [":host .container{cursor:pointer;width:1rem;height:1rem;background-color:#bebebf;transition:all .5s ease-in-out,background-color .7s;-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center;-webkit-mask-size:contain;mask-size:contain}:host .container:hover{background-color:#00c9ff}.svg-angle,.svg-arrow,.svg-bar-graph,.svg-base-menu,.svg-base-menu-shadow,.svg-bell,.svg-check,.svg-copy,.svg-cloud,.svg-currency,.svg-date,.svg-download,.svg-drafts,.svg-drafts-shadow,.svg-edit,.svg-email,.svg-enviados,.svg-error,.svg-eye-close,.svg-eye-open,.svg-forbidden,.svg-inbox,.svg-inbox-shadow,.svg-loading-points,.svg-message-menu,.svg-minus,.svg-ok,.svg-options,.svg-order-down,.svg-order-up,.svg-pencil,.svg-plus,.svg-refresh,.svg-reports-menu,.svg-reports-menu-shadow,.svg-schedule-menu,.svg-schedule-menu-shadow,.svg-search,.svg-security,.svg-sent,.svg-sent-shadow,.svg-task-menu,.svg-task-menu-shadow,.svg-theme,.svg-time,.svg-trash,.svg-warning{-webkit-mask-repeat:no-repeat;mask-repeat:no-repeat;-webkit-mask-position:center;mask-position:center;-webkit-mask-size:contain;mask-size:contain}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { iconName: [{
                type: Input
            }], handlerClickEmitter: [{
                type: Output
            }] } });

class IconsModule {
}
IconsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IconsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsModule, declarations: [IconsComponent, AssetUrlPipe], imports: [CommonModule], exports: [IconsComponent] });
IconsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.4", ngImport: i0, type: IconsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IconsComponent, AssetUrlPipe],
                    imports: [CommonModule],
                    exports: [IconsComponent]
                }]
        }] });

/*
 * Public API Surface of icons
 */

/**
 * Generated bundle index. Do not edit.
 */

export { IconsComponent, IconsModule, IconsService };
//# sourceMappingURL=lbca-icons.mjs.map
